'use strict';

var _defineProperty = require('@babel/runtime-corejs3/helpers/defineProperty');
var _slicedToArray = require('@babel/runtime-corejs3/helpers/slicedToArray');
var _styled = require('@emotion/styled/base');
require('prop-types');
var _mapInstanceProperty = require('@babel/runtime-corejs3/core-js-stable/instance/map');
var _Object$keys = require('@babel/runtime-corejs3/core-js-stable/object/keys');
var _Object$getOwnPropertySymbols = require('@babel/runtime-corejs3/core-js-stable/object/get-own-property-symbols');
var _filterInstanceProperty = require('@babel/runtime-corejs3/core-js-stable/instance/filter');
var _Object$getOwnPropertyDescriptor = require('@babel/runtime-corejs3/core-js-stable/object/get-own-property-descriptor');
var _forEachInstanceProperty = require('@babel/runtime-corejs3/core-js-stable/instance/for-each');
var _Object$getOwnPropertyDescriptors = require('@babel/runtime-corejs3/core-js-stable/object/get-own-property-descriptors');
var _Object$defineProperties = require('@babel/runtime-corejs3/core-js-stable/object/define-properties');
var _Object$defineProperty = require('@babel/runtime-corejs3/core-js-stable/object/define-property');
var react$1 = require('react');
var react = require('@emotion/react');
var sentry = require('@commercetools-frontend/sentry');
var AccessibleButton = require('@commercetools-uikit/accessible-button');
var Constraints = require('@commercetools-uikit/constraints');
var designSystem = require('@commercetools-uikit/design-system');
var icons = require('@commercetools-uikit/icons');
var Spacings = require('@commercetools-uikit/spacings');
var Text = require('@commercetools-uikit/text');
var _findInstanceProperty = require('@babel/runtime-corejs3/core-js-stable/instance/find');
var _Object$entries = require('@babel/runtime-corejs3/core-js-stable/object/entries');
var reactRouterDom = require('react-router-dom');
var dist_commercetoolsFrontendApplicationComponents = require('./commercetools-frontend-application-components.cjs.prod.js');
var reactIntl = require('react-intl');
var reactBroadcast = require('@flopflip/react-broadcast');
var applicationShellConnectors = require('@commercetools-frontend/application-shell-connectors');
var constants = require('@commercetools-frontend/constants');
var jsxRuntime = require('@emotion/react/jsx-runtime');
require('@babel/runtime-corejs3/helpers/objectWithoutProperties');
require('@commercetools-uikit/utils');
require('@radix-ui/react-dialog');
require('@commercetools-uikit/card');
require('@commercetools-uikit/secondary-icon-button');
require('@commercetools-frontend/i18n');
require('@commercetools-uikit/primary-button');
require('@commercetools-uikit/secondary-button');
require('@babel/runtime-corejs3/core-js-stable/instance/starts-with');
require('lodash/omitBy');
require('@babel/runtime-corejs3/core-js-stable/promise');
require('@babel/runtime-corejs3/core-js-stable/set-timeout');
require('@commercetools-uikit/flat-button');
require('@commercetools-uikit/icon-button');
require('@commercetools-frontend/assets/images/page-not-found.svg');
require('@commercetools-frontend/assets/images/doors-closed.svg');
require('@commercetools-frontend/actions-global');
require('@babel/runtime-corejs3/core-js-stable/instance/values');
require('@commercetools-uikit/stamp');
require('@react-hook/resize-observer');
require('@commercetools-uikit/hooks');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefault(_styled);
var _mapInstanceProperty__default = /*#__PURE__*/_interopDefault(_mapInstanceProperty);
var _Object$keys__default = /*#__PURE__*/_interopDefault(_Object$keys);
var _Object$getOwnPropertySymbols__default = /*#__PURE__*/_interopDefault(_Object$getOwnPropertySymbols);
var _filterInstanceProperty__default = /*#__PURE__*/_interopDefault(_filterInstanceProperty);
var _Object$getOwnPropertyDescriptor__default = /*#__PURE__*/_interopDefault(_Object$getOwnPropertyDescriptor);
var _forEachInstanceProperty__default = /*#__PURE__*/_interopDefault(_forEachInstanceProperty);
var _Object$getOwnPropertyDescriptors__default = /*#__PURE__*/_interopDefault(_Object$getOwnPropertyDescriptors);
var _Object$defineProperties__default = /*#__PURE__*/_interopDefault(_Object$defineProperties);
var _Object$defineProperty__default = /*#__PURE__*/_interopDefault(_Object$defineProperty);
var AccessibleButton__default = /*#__PURE__*/_interopDefault(AccessibleButton);
var Constraints__default = /*#__PURE__*/_interopDefault(Constraints);
var Spacings__default = /*#__PURE__*/_interopDefault(Spacings);
var Text__default = /*#__PURE__*/_interopDefault(Text);
var _findInstanceProperty__default = /*#__PURE__*/_interopDefault(_findInstanceProperty);
var _Object$entries__default = /*#__PURE__*/_interopDefault(_Object$entries);

const pathWithoutSearch = path => typeof path === 'string' ? path.split('?')[0] : path.pathname;
const useCustomViewLocatorSelector = function () {
  var _context;
  let customViewLocatorCodes = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  const location = reactRouterDom.useLocation();
  if (!customViewLocatorCodes) {
    return {
      currentCustomViewLocatorCode: undefined
    };
  }
  const customViewLocator = _findInstanceProperty__default["default"](_context = _Object$entries__default["default"](customViewLocatorCodes)).call(_context, _ref => {
    let _ref2 = _slicedToArray(_ref, 2),
      locator = _ref2[1];
    return reactRouterDom.matchPath(location.pathname, {
      // strip the search, otherwise the path won't match
      path: pathWithoutSearch(locator),
      exact: true,
      strict: false
    });
  });
  return {
    currentCustomViewLocatorCode: customViewLocator?.[0]
  };
};

var messages = reactIntl.defineMessages({
  title: {
    id: 'CustomViewsSelector.title',
    defaultMessage: 'Custom Views:'
  }
});

var FetchCustomViewsQuery = { kind: "Document", definitions: [{ kind: "OperationDefinition", operation: "query", name: { kind: "Name", value: "FetchCustomViewsByLocator" }, variableDefinitions: [{ kind: "VariableDefinition", variable: { kind: "Variable", name: { kind: "Name", value: "customViewLocatorCode" } }, type: { kind: "NonNullType", type: { kind: "NamedType", name: { kind: "Name", value: "String" } } }, directives: [] }], directives: [], selectionSet: { kind: "SelectionSet", selections: [{ kind: "Field", name: { kind: "Name", value: "allCustomViewsInstallationsByLocator" }, arguments: [{ kind: "Argument", name: { kind: "Name", value: "locator" }, value: { kind: "Variable", name: { kind: "Name", value: "customViewLocatorCode" } } }], directives: [], selectionSet: { kind: "SelectionSet", selections: [{ kind: "Field", name: { kind: "Name", value: "id" }, arguments: [], directives: [] }, { kind: "Field", name: { kind: "Name", value: "customView" }, arguments: [], directives: [], selectionSet: { kind: "SelectionSet", selections: [{ kind: "Field", name: { kind: "Name", value: "id" }, arguments: [], directives: [] }, { kind: "Field", name: { kind: "Name", value: "defaultLabel" }, arguments: [], directives: [] }, { kind: "Field", name: { kind: "Name", value: "labelAllLocales" }, arguments: [], directives: [], selectionSet: { kind: "SelectionSet", selections: [{ kind: "Field", name: { kind: "Name", value: "locale" }, arguments: [], directives: [] }, { kind: "Field", name: { kind: "Name", value: "value" }, arguments: [], directives: [] }] } }, { kind: "Field", name: { kind: "Name", value: "url" }, arguments: [], directives: [] }, { kind: "Field", name: { kind: "Name", value: "type" }, arguments: [], directives: [] }, { kind: "Field", name: { kind: "Name", value: "typeSettings" }, arguments: [], directives: [], selectionSet: { kind: "SelectionSet", selections: [{ kind: "Field", name: { kind: "Name", value: "size" }, arguments: [], directives: [] }] } }, { kind: "Field", name: { kind: "Name", value: "locators" }, arguments: [], directives: [] }, { kind: "Field", name: { kind: "Name", value: "permissions" }, arguments: [], directives: [], selectionSet: { kind: "SelectionSet", selections: [{ kind: "Field", name: { kind: "Name", value: "name" }, arguments: [], directives: [] }, { kind: "Field", name: { kind: "Name", value: "oAuthScopes" }, arguments: [], directives: [] }] } }] } }] } }] } }], loc: { start: 0, end: 405, source: { body: "query FetchCustomViewsByLocator($customViewLocatorCode: String!) {\n  allCustomViewsInstallationsByLocator(locator: $customViewLocatorCode) {\n    id\n    customView {\n      id\n      defaultLabel\n      labelAllLocales {\n        locale\n        value\n      }\n      url\n      type\n      typeSettings {\n        size\n      }\n      locators\n      permissions {\n        name\n        oAuthScopes\n      }\n    }\n  }\n}\n", name: "GraphQL request", locationOffset: { line: 1, column: 1 } } } };
const useCustomViewsConnector = _ref => {
  let customViewLocatorCode = _ref.customViewLocatorCode;
  const enableCustomViews = reactBroadcast.useFlagVariation(constants.featureFlags.CUSTOM_VIEWS);
  const areCustomViewsEnabled =
  // @ts-ignore In case it's coming from the MC API, it's an object { value: boolean }.
  (enableCustomViews?.value ?? enableCustomViews) && process.env.DISABLE_CUSTOM_VIEWS_FEATURE !== 'true';
  const _useMcQuery = applicationShellConnectors.useMcQuery(FetchCustomViewsQuery, {
      variables: {
        customViewLocatorCode
      },
      context: {
        target: constants.GRAPHQL_TARGETS.SETTINGS_SERVICE
      },
      skip: !areCustomViewsEnabled
    }),
    data = _useMcQuery.data,
    error = _useMcQuery.error,
    loading = _useMcQuery.loading;
  return {
    customViews: data?.allCustomViewsInstallationsByLocator?.map(installation => installation.customView) || [],
    error,
    loading
  };
};

function ownKeys(e, r) { var t = _Object$keys__default["default"](e); if (_Object$getOwnPropertySymbols__default["default"]) { var o = _Object$getOwnPropertySymbols__default["default"](e); r && (o = _filterInstanceProperty__default["default"](o).call(o, function (r) { return _Object$getOwnPropertyDescriptor__default["default"](e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var _context, _context2; var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? _forEachInstanceProperty__default["default"](_context = ownKeys(Object(t), !0)).call(_context, function (r) { _defineProperty(e, r, t[r]); }) : _Object$getOwnPropertyDescriptors__default["default"] ? _Object$defineProperties__default["default"](e, _Object$getOwnPropertyDescriptors__default["default"](t)) : _forEachInstanceProperty__default["default"](_context2 = ownKeys(Object(t))).call(_context2, function (r) { _Object$defineProperty__default["default"](e, r, _Object$getOwnPropertyDescriptor__default["default"](t, r)); }); } return e; }
const COMPONENT_HEIGHT = '52px';
const Wrapper = /*#__PURE__*/_styled__default["default"]("div", {
  target: "e16cb3zv3"
} )("height:", props => props.shouldRender ? COMPONENT_HEIGHT : '0', ";overflow:hidden;transition:margin 0.3s ease-in-out,height 0.3s ease-in-out;margin:", props => props.shouldRender ? props.margin : '0', ";" + ("" ));
const Container = /*#__PURE__*/_styled__default["default"]("div", {
  target: "e16cb3zv2"
} )("background-color:", designSystem.designTokens.colorNeutral98, ";padding:10px ", designSystem.designTokens.spacing30, ";border:1px solid ", designSystem.designTokens.colorNeutral95, ";border-radius:", designSystem.designTokens.borderRadius8, ";" + ("" ));
const hoverAndSelectedStateStyles = /*#__PURE__*/react.css("box-shadow:", designSystem.designTokens.shadow1, ";background-color:", designSystem.designTokens.colorSurface, ";color:", designSystem.designTokens.colorPrimary30, ";" + ("" ), "" );
const CustomViewSelectorItem = props => {
  return jsxRuntime.jsx(AccessibleButton__default["default"], {
    css: /*#__PURE__*/react.css("display:flex;align-items:center;padding:", designSystem.designTokens.spacing20, " ", designSystem.designTokens.spacing25, ";height:30px;border-radius:", designSystem.designTokens.borderRadius6, ";color:", designSystem.designTokens.colorPrimary, ";", props.selected && hoverAndSelectedStateStyles, " :hover{", hoverAndSelectedStateStyles, ";}" + ("" ), "" ),
    onClick: props.onClick,
    label: props.label,
    children: jsxRuntime.jsx(Text__default["default"].Detail, {
      tone: "inherit",
      fontWeight: props.selected ? 'bold' : 'regular',
      children: props.label
    })
  });
};
CustomViewSelectorItem.propTypes = {};
const SelectorLabel = /*#__PURE__*/_styled__default["default"]("div", {
  target: "e16cb3zv1"
} )({
  name: "1i68o0s",
  styles: "display:flex;align-items:center;gap:6px;div{font-weight:300;}"
} );
const Separator = /*#__PURE__*/_styled__default["default"]("span", {
  target: "e16cb3zv0"
} )({
  name: "1lsblg0",
  styles: "width:1px;height:18px;background-color:#cccccc"
} );
function CustomViewSelector(props) {
  const _useState = react$1.useState(null),
    _useState2 = _slicedToArray(_useState, 2),
    selectedCustomView = _useState2[0],
    setSelectedCustomView = _useState2[1];
  const _useCustomViewsConnec = useCustomViewsConnector({
      customViewLocatorCode: props.customViewLocatorCode
    }),
    customViews = _useCustomViewsConnec.customViews,
    error = _useCustomViewsConnec.error,
    loading = _useCustomViewsConnec.loading;
  const onCustomViewsResolved = props.onCustomViewsResolved;
  react$1.useEffect(() => {
    if (!loading && !error && onCustomViewsResolved) {
      onCustomViewsResolved(customViews);
    }
  }, [customViews, error, loading, onCustomViewsResolved]);
  if (error) {
    sentry.reportErrorToSentry(error, {
      extra: {
        customViewLocatorCode: props.customViewLocatorCode
      }
    });
    return null;
  }
  return jsxRuntime.jsx(Wrapper, {
    shouldRender: customViews.length > 0,
    margin: props.margin || '0',
    children: jsxRuntime.jsx(Container, {
      children: jsxRuntime.jsxs(Constraints__default["default"].Horizontal, {
        max: "scale",
        children: [jsxRuntime.jsxs(Spacings__default["default"].Inline, {
          scale: "s",
          justifyContent: "flex-start",
          alignItems: "center",
          children: [jsxRuntime.jsxs(SelectorLabel, {
            children: [jsxRuntime.jsx(icons.WindowEyeIcon, {
              size: "medium",
              color: "neutral60"
            }), jsxRuntime.jsx(Text__default["default"].Detail, {
              tone: "secondary",
              intlMessage: messages.title
            })]
          }), _mapInstanceProperty__default["default"](customViews).call(customViews, (customView, index) => {
            const isNotLastItem = index !== customViews.length - 1;
            return jsxRuntime.jsxs(react$1.Fragment, {
              children: [jsxRuntime.jsx(CustomViewSelectorItem, {
                selected: selectedCustomView?.id === customView.id,
                onClick: () => {
                  setSelectedCustomView(customView);
                },
                label: customView.defaultLabel
              }), isNotLastItem && jsxRuntime.jsx(Separator, {})]
            }, customView.id);
          })]
        }), selectedCustomView && jsxRuntime.jsx(dist_commercetoolsFrontendApplicationComponents.CustomViewLoader, {
          customView: selectedCustomView,
          onClose: () => {
            setSelectedCustomView(null);
          }
        })]
      })
    })
  });
}
CustomViewSelector.propTypes = {};
CustomViewSelector.displayName = 'CustomViewSelector';
const CustomViewSelectorOrNothing = props => {
  const _useCustomViewLocator = useCustomViewLocatorSelector(props.customViewLocatorCodes),
    currentCustomViewLocatorCode = _useCustomViewLocator.currentCustomViewLocatorCode;
  const locatorCode = currentCustomViewLocatorCode ?? props.customViewLocatorCode;
  if (!locatorCode) {
    return null;
  }
  return jsxRuntime.jsx(CustomViewSelector, _objectSpread(_objectSpread({}, props), {}, {
    customViewLocatorCode: locatorCode
  }));
};

exports["default"] = CustomViewSelectorOrNothing;
