import type { SyntheticEvent, ReactNode, ReactElement } from 'react';
import type { TIconProps } from '@commercetools-uikit/design-system';
type MessageDescriptor = {
    id: string;
    description?: string | object;
    defaultMessage?: string;
};
type Label = string | MessageDescriptor;
export type TFormDialogProps = {
    isOpen: boolean;
    onClose?: (event: SyntheticEvent) => void;
    title: ReactNode;
    'aria-label'?: string;
    size?: 'm' | 'l' | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 16 | 'scale';
    zIndex?: number;
    children: ReactNode;
    labelSecondary?: Label;
    labelPrimary?: Label;
    isPrimaryButtonDisabled?: boolean;
    onSecondaryButtonClick: (event: SyntheticEvent) => void;
    onPrimaryButtonClick: (event: SyntheticEvent) => void;
    dataAttributesSecondaryButton?: {
        [key: string]: string;
    };
    dataAttributesPrimaryButton?: {
        [key: string]: string;
    };
    getParentSelector?: () => HTMLElement;
    iconLeftSecondaryButton?: ReactElement<TIconProps>;
    iconLeftPrimaryButton?: ReactElement<TIconProps>;
    footerContent?: ReactNode;
};
declare const FormDialog: {
    ({ labelSecondary, labelPrimary, ...props }: TFormDialogProps): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
    Intl: {
        cancel: {
            id: string;
            defaultMessage: string;
        };
        revert: {
            id: string;
            defaultMessage: string;
        };
        confirm: {
            id: string;
            defaultMessage: string;
        };
        save: {
            id: string;
            defaultMessage: string;
        };
        update: {
            id: string;
            defaultMessage: string;
        };
        create: {
            id: string;
            defaultMessage: string;
        };
        delete: {
            id: string;
            defaultMessage: string;
        };
        add: {
            id: string;
            defaultMessage: string;
        };
        remove: {
            id: string;
            defaultMessage: string;
        };
        close: {
            id: string;
            defaultMessage: string;
        };
        edit: {
            id: string;
            defaultMessage: string;
        };
        open: {
            id: string;
            defaultMessage: string;
        };
        activate: {
            id: string;
            defaultMessage: string;
        };
        deactivate: {
            id: string;
            defaultMessage: string;
        };
        active: {
            id: string;
            defaultMessage: string;
        };
        inactive: {
            id: string;
            defaultMessage: string;
        };
        enable: {
            id: string;
            defaultMessage: string;
        };
        disable: {
            id: string;
            defaultMessage: string;
        };
    };
    TextTitle: (props: {
        title: string;
    }) => import("@emotion/react/jsx-runtime").JSX.Element;
};
export default FormDialog;
