import type { ReactElement, SyntheticEvent, ReactNode } from 'react';
import type { TIconProps } from '@commercetools-uikit/design-system';
type MessageDescriptor = {
    id: string;
    description?: string | object;
    defaultMessage?: string;
};
type Label = string | MessageDescriptor;
type Props = {
    labelSecondary: Label;
    labelPrimary: Label;
    onCancel: (event: SyntheticEvent) => void;
    onConfirm: (event: SyntheticEvent) => void;
    isPrimaryButtonDisabled?: boolean;
    dataAttributesPrimaryButton?: {
        [key: string]: string;
    };
    dataAttributesSecondaryButton?: {
        [key: string]: string;
    };
    children?: never;
    iconLeftSecondaryButton?: ReactElement<TIconProps>;
    iconLeftPrimaryButton?: ReactElement<TIconProps>;
    footerContent?: ReactNode;
};
declare const DialogFooter: {
    ({ isPrimaryButtonDisabled, dataAttributesPrimaryButton, dataAttributesSecondaryButton, ...props }: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default DialogFooter;
