import type { ReactElement, ReactNode, SyntheticEvent } from 'react';
import { type CSSObject } from '@emotion/styled';
import { type TIconProps } from '@commercetools-uikit/design-system';
type MessageDescriptor = {
    id: string;
    description?: string | object;
    defaultMessage?: string;
};
type Label = string | MessageDescriptor;
type TDrawerSize = 10 | 20 | 30;
type TDrawerProps = {
    size?: TDrawerSize;
    isOpen: boolean;
    onClose?: (event: SyntheticEvent) => void;
    children: ReactNode;
    topBarColor?: 'neutral' | 'surface';
    title: string;
    subtitle?: string;
    zIndex?: number;
    getParentSelector?: () => HTMLElement;
    shouldDelayOnClose?: boolean;
    afterOpenStyles?: string | CSSObject;
    hideControls?: boolean;
    formControls?: ReactNode;
    isPrimaryButtonDisabled?: boolean;
    isSecondaryButtonDisabled?: boolean;
    dataAttributesPrimaryButton?: {
        [key: string]: string;
    };
    dataAttributesSecondaryButton?: {
        [key: string]: string;
    };
    labelPrimaryButton?: Label;
    labelSecondaryButton?: Label;
    onPrimaryButtonClick?: (event: SyntheticEvent) => void;
    onSecondaryButtonClick?: (event: SyntheticEvent) => void;
    iconLeftSecondaryButton?: ReactElement<TIconProps>;
};
declare function Drawer({ size, hideControls, onPrimaryButtonClick, onSecondaryButtonClick, ...props }: TDrawerProps): import("@emotion/react/jsx-runtime").JSX.Element;
declare namespace Drawer {
    var displayName: string;
    var FormPrimaryButton: {
        ({ label, isDisabled, dataAttributes, ...props }: {
            iconLeft?: ReactElement<TIconProps, string | import("react").JSXElementConstructor<any>> | undefined;
        } & {
            label?: (string | {
                id: string;
                description?: string | object | undefined;
                defaultMessage?: string | undefined;
            }) | undefined;
            onClick: (event: SyntheticEvent<Element, Event>) => void;
            isDisabled?: boolean | undefined;
            dataAttributes?: {
                [key: string]: string;
            } | undefined;
            children?: undefined;
        }): import("@emotion/react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    var FormSecondaryButton: {
        ({ label, isDisabled, dataAttributes, ...props }: {
            iconLeft?: ReactElement<TIconProps, string | import("react").JSXElementConstructor<any>> | undefined;
        } & {
            label?: (string | {
                id: string;
                description?: string | object | undefined;
                defaultMessage?: string | undefined;
            }) | undefined;
            onClick: (event: SyntheticEvent<Element, Event>) => void;
            isDisabled?: boolean | undefined;
            dataAttributes?: {
                [key: string]: string;
            } | undefined;
            children?: undefined;
        }): import("@emotion/react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    var Intl: {
        cancel: {
            id: string;
            defaultMessage: string;
        };
        revert: {
            id: string;
            defaultMessage: string;
        };
        confirm: {
            id: string;
            defaultMessage: string;
        };
        save: {
            id: string;
            defaultMessage: string;
        };
        update: {
            id: string;
            defaultMessage: string;
        };
        create: {
            id: string;
            defaultMessage: string;
        };
        delete: {
            id: string;
            defaultMessage: string;
        };
        add: {
            id: string;
            defaultMessage: string;
        };
        remove: {
            id: string;
            defaultMessage: string;
        };
        close: {
            id: string;
            defaultMessage: string;
        };
        edit: {
            id: string;
            defaultMessage: string;
        };
        open: {
            id: string;
            defaultMessage: string;
        };
        activate: {
            id: string;
            defaultMessage: string;
        };
        deactivate: {
            id: string;
            defaultMessage: string;
        };
        active: {
            id: string;
            defaultMessage: string;
        };
        inactive: {
            id: string;
            defaultMessage: string;
        };
        enable: {
            id: string;
            defaultMessage: string;
        };
        disable: {
            id: string;
            defaultMessage: string;
        };
    };
}
export default Drawer;
