import type { ReactElement, SyntheticEvent } from 'react';
import type { TIconProps } from '@commercetools-uikit/design-system';
type MessageDescriptor = {
    id: string;
    description?: string | object;
    defaultMessage?: string;
};
type Label = string | MessageDescriptor;
type Props = {
    label?: Label;
    onClick: (event: SyntheticEvent) => void;
    isDisabled?: boolean;
    dataAttributes?: {
        [key: string]: string;
    };
    children?: never;
};
type PrimaryButtonProps = {
    iconLeft?: ReactElement<TIconProps>;
} & Props;
declare const FormPrimaryButton: {
    ({ label, isDisabled, dataAttributes, ...props }: PrimaryButtonProps): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
type SecondaryButtonProps = {
    iconLeft?: ReactElement<TIconProps>;
} & Props;
declare const FormSecondaryButton: {
    ({ label, isDisabled, dataAttributes, ...props }: SecondaryButtonProps): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
declare const FormDeleteButton: {
    ({ label, isDisabled, dataAttributes, ...props }: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export { FormPrimaryButton, FormSecondaryButton, FormDeleteButton };
