import { ReactElement, ReactNode, SyntheticEvent } from 'react';
import type { CSSObject } from '@emotion/react';
type MessageDescriptor = {
    id: string;
    description?: string | object;
    defaultMessage?: string;
};
type Label = string | MessageDescriptor;
type Props = {
    /**
     * @deprecated Not used anymore, as the value is controlled via the Stacking Layer System.
     */
    level?: number;
    title: string;
    isOpen: boolean;
    /**
     * This code is used to configure which Custom Views are available for this page.
     */
    customViewLocatorCode?: string;
    onClose?: (event: SyntheticEvent) => void;
    children: ReactNode;
    zIndex?: number;
    /**
     * @deprecated Not used anymore, as the value is controlled via the Stacking Layer System.
     */
    baseZIndex?: number;
    getParentSelector?: () => HTMLElement;
    shouldDelayOnClose?: boolean;
    afterOpenStyles?: string | CSSObject;
    topBarCurrentPathLabel?: string;
    topBarPreviousPathLabel?: Label;
    subtitle?: string | ReactElement;
};
declare const InfoModalPage: {
    (props: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default InfoModalPage;
