import { type ReactNode, type SyntheticEvent } from 'react';
import type { CSSObject } from '@emotion/react';
declare const getDefaultParentSelector: () => HTMLElement;
type MessageDescriptor = {
    id: string;
    description?: string | object;
    defaultMessage?: string;
};
type Label = string | MessageDescriptor;
export type TModalPageSize = 10 | 20 | 30 | 'scale';
type Props = {
    /**
     * @deprecated Not used anymore, as the value is controlled via the Stacking Layer System.
     */
    level?: number;
    title: string;
    isOpen: boolean;
    onClose?: (event: SyntheticEvent) => void;
    children: ReactNode;
    zIndex?: number;
    /**
     * @deprecated Not used anymore, as the value is controlled via the Stacking Layer System.
     */
    baseZIndex?: number;
    getParentSelector?: typeof getDefaultParentSelector;
    shouldDelayOnClose?: boolean;
    afterOpenStyles?: string | CSSObject;
    topBarColor?: 'surface' | 'neutral';
    currentPathLabel?: string;
    previousPathLabel?: Label;
    hidePathLabel?: boolean;
    size?: TModalPageSize;
    hideTopBar?: boolean;
};
declare const ModalPage: {
    ({ size, getParentSelector, shouldDelayOnClose, ...props }: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default ModalPage;
