import { FC, ReactNode } from 'react';
type TProps = {
    /**
     * The text to be displayed below the commercetools logo.
     */
    welcomeMessage?: string;
    /**
     * Renders a node below the content. This is usually the place for rendering
     * links to the privacy, terms, etc pages.
     */
    legalMessage?: ReactNode;
    /**
     * The `normal` scale uses an horizontal contraint size of `8` (384px).
     * The `wide` scale uses an horizontal contraint size of `15` (742px).
     * The `wide` scale can be used for rendering the content in 2 columns.
     */
    contentScale?: 'normal' | 'wide';
    /**
     * If `contentScale` is `normal`, the content is rendered in one column.
     * If `contentScale` is `wide`, you need to pass 2 children as they will be displayed
     * in two columns.
     */
    children: ReactNode;
};
declare const PublicPageLayout: FC<TProps>;
export default PublicPageLayout;
