import type { ReactNode } from 'react';
import type { LocationDescriptor } from 'history';
import { type MessageDescriptor } from 'react-intl';
export type TTabHeaderProps = {
    /**
     * A route path to redirect to when the tab is clicked.
     */
    to: string | LocationDescriptor;
    /**
     * The label of the tab.
     * * <br />
     * Required if `intlMessage` is not provided.
     */
    label?: string;
    /**
     * The label of the tab, using an `intl` message object.
     * <br />
     * Required if `label` is not provided.
     */
    intlMessage?: MessageDescriptor & {
        values?: Record<string, ReactNode>;
    };
    /**
     * If `true`, indicates that the element is in a disabled state.
     */
    isDisabled?: boolean;
    /**
     * If `true`, marks the tab as active if the link matches exactly the route.
     */
    exactPathMatch?: boolean;
};
export declare const TabHeader: {
    ({ isDisabled, exactPathMatch, ...props }: TTabHeaderProps): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default TabHeader;
