'use strict';

var _objectWithoutProperties = require('@babel/runtime-corejs3/helpers/objectWithoutProperties');
require('prop-types');
require('react');
var react = require('@emotion/react');
var CommercetoolsLogoSmallSvg = require('@commercetools-frontend/assets/logos/commercetools_logo_small.svg');
var designSystem = require('@commercetools-uikit/design-system');
var Spacings = require('@commercetools-uikit/spacings');
var Text = require('@commercetools-uikit/text');
var _styled = require('@emotion/styled/base');
var jsxRuntime = require('@emotion/react/jsx-runtime');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var CommercetoolsLogoSmallSvg__default = /*#__PURE__*/_interopDefault(CommercetoolsLogoSmallSvg);
var Spacings__default = /*#__PURE__*/_interopDefault(Spacings);
var Text__default = /*#__PURE__*/_interopDefault(Text);
var _styled__default = /*#__PURE__*/_interopDefault(_styled);

const Container = /*#__PURE__*/_styled__default["default"]("div", {
  target: "e1pnp02z2"
} )("width:100%;min-height:100vh;display:flex;padding:", designSystem.designTokens.spacingXl, " 0;justify-content:center;background-size:cover;background-position:center;" + ("" ));
const ContainerColumn = /*#__PURE__*/_styled__default["default"]("div", {
  target: "e1pnp02z1"
} )("width:calc(", designSystem.designTokens.constraint16, " / 2);" + ("" ));
const ContainerColumnWide = /*#__PURE__*/_styled__default["default"]("div", {
  target: "e1pnp02z0"
} )("width:", designSystem.designTokens.constraint15, ";" + ("" ));

const _excluded = ["contentScale"],
  _excluded2 = ["contentScale"];
const year = new Date().getUTCFullYear();
const PublicPageLayoutContent = _ref => {
  let _ref$contentScale = _ref.contentScale,
    contentScale = _ref$contentScale === void 0 ? 'normal' : _ref$contentScale,
    props = _objectWithoutProperties(_ref, _excluded);
  if (contentScale === 'wide') {
    return jsxRuntime.jsx(ContainerColumnWide, {
      children: props.children
    });
  }
  return jsxRuntime.jsx(ContainerColumn, {
    children: props.children
  });
};
PublicPageLayoutContent.propTypes = {};
const PublicPageLayout = _ref2 => {
  let _ref2$contentScale = _ref2.contentScale,
    contentScale = _ref2$contentScale === void 0 ? 'normal' : _ref2$contentScale,
    props = _objectWithoutProperties(_ref2, _excluded2);
  return jsxRuntime.jsx(Container, {
    children: jsxRuntime.jsxs(Spacings__default["default"].Stack, {
      scale: "xl",
      alignItems: "center",
      children: [jsxRuntime.jsx(ContainerColumn, {
        children: jsxRuntime.jsx(Spacings__default["default"].Inline, {
          justifyContent: "center",
          children: jsxRuntime.jsx("img", {
            src: CommercetoolsLogoSmallSvg__default["default"],
            alt: "commercetools logo"
          })
        })
      }), props.welcomeMessage && jsxRuntime.jsx(ContainerColumn, {
        children: jsxRuntime.jsx(Text__default["default"].Headline, {
          as: "h2",
          children: jsxRuntime.jsx("div", {
            css: /*#__PURE__*/react.css("color:", designSystem.designTokens.colorSolid, ";text-align:center;" + ("" ), "" ),
            children: props.welcomeMessage
          })
        })
      }), jsxRuntime.jsxs(Spacings__default["default"].Stack, {
        scale: "xl",
        children: [jsxRuntime.jsx(PublicPageLayoutContent, {
          contentScale: contentScale,
          children: props.children
        }), jsxRuntime.jsx(PublicPageLayoutContent, {
          contentScale: contentScale,
          children: jsxRuntime.jsxs(Spacings__default["default"].Stack, {
            scale: "xs",
            alignItems: contentScale === 'wide' ? 'center' : 'stretch',
            children: [props.legalMessage && jsxRuntime.jsx(Text__default["default"].Detail, {
              tone: "secondary",
              children: props.legalMessage
            }), jsxRuntime.jsx(Text__default["default"].Detail, {
              tone: "secondary",
              children: `${year} © commercetools`
            })]
          })
        })]
      })]
    })
  });
};
PublicPageLayout.propTypes = {};
PublicPageLayout.displayName = 'PublicPageLayout';

exports["default"] = PublicPageLayout;
